List all commissions
Authorization
Query parameters
Filter the list of commissions by type.
Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples:
- "sale"
- "sale,lead"
- "-click"
clickleadsalereferralcustomFilter the list of commissions by the associated partner. When specified, takes precedence over tenantId.
Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -).
Examples:
- "partner_abc"
- "partner_abc,partner_xyz"
- "-partner_abc"
tenantId (their unique ID within your database).Filter the list of commissions by the associated partner group.
Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples:
- "group_abc"
- "group_abc,group_xyz"
- "-group_abc"
Filter the list of commissions by the associated partner tag.
Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -).
Examples:
- "ptag_abc"
- "ptag_abc,ptag_xyz"
- "-ptag_abc"
pendingprocessedpaidrefundedduplicatefraudcanceledholdDefault: "createdAt"
createdAtamountDefault: "all"
24h7d30d90d1ymtdqtdytdallFilter by lead or sale event metadata. Top-level keys only. Compares string values only — numeric and boolean metadata values are not matched.
Examples:
- "metadata['key']='value'"
- "metadata['key']!='value'"
Length: max 10000
startingAfter.endingBefore.Responses
click, lead, sale, referral, or custom.clickleadsalereferralcustompendingprocessedpaidrefundedduplicatefraudcanceledhold1 for sale and custom commissions.lead.metadata / sale.metadata).Show child attributesHide child attributes
Show child attributesHide child attributes
Length: max 190
Show child attributesHide child attributes
id on Dub (obtained via /customers endpoint) or their externalId (unique ID within your system, prefixed with ext_, e.g. ext_123).